Package uk.ac.starlink.topcat.interop

## Interface RowActivity

- All Superinterfaces:
    `Activity`

      public interface RowActivity
      extends Activity

  Activity for making single row selections.
  Since:
    17 Sep 2008
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `highlightRow​(TopcatModel tcModel, long lrow)` | Sends a message to highlight a given table row.

    - ### Methods inherited from interface uk.ac.starlink.topcat.interop.Activity

      `getTargetSelector`

- - ### Method Detail

    - #### highlightRow

          void highlightRow​(TopcatModel tcModel,
                            long lrow)
                     throws java.io.IOException

      Sends a message to highlight a given table row.
      Parameters:
        `tcModel` - table in question
        `lrow` - zero-indexed row index within table to highlight
      Throws:
        `java.io.IOException`